const NODE_ENV = process.env.NODE_ENV

const babelPresets = [
  // in testing, we output each file, so we need to convert 'imports', in production, we let rollup handle the imports
  ['@babel/preset-env', { modules : NODE_ENV === 'test' ? 'commonjs' : false }]
]
/*
if (pkglib.target.isReactish) {
  babelPresets.push('@babel/preset-react')
} */

const babelPlugins = [
  '@babel/plugin-proposal-class-properties',
  '@babel/plugin-proposal-optional-chaining',
  '@babel/plugin-proposal-throw-expressions',
  ['@babel/plugin-transform-runtime',
    { corejs : false, helpers : true, regenerator : true }
  ],
  '@babel/plugin-syntax-import-assertions',
  'inline-json-import'
]

module.exports.babelPresets = babelPresets
module.exports.babelPlugins = babelPlugins
