echo -n "  Running init and install: "
npm init --yes > /dev/stderr
npm install file://../.. > /dev/stderr && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Running setup: "
npx catalyst-scripts-node-project > /dev/stderr && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Running build: "
make build > /dev/stderr && echo "SUCCESS" || { echo "FAILED" ; exit 1; }
echo -n "  Looking for built library: "
test -f dist/bootstrap.js && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Looking for built cli: "
test -f dist/bootstrap-cli.js && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Running test: "
make test > /dev/stderr && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Looking for unit test report: "
test -f qa/unit-test.txt > /dev/stderr && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Running lint: "
make lint > /dev/stderr && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Looking for lint report: "
test -f qa/lint.txt && echo "SUCCESS" || { echo "FAILED"; exit 1; }
echo -n "  Will rebuild CLI on library change: "
touch src/lib/bootstrap.mjs
make --question dist/bootstrap-cli.js && { echo "FAILURE"; exit 1; } || echo "SUCCESS"